Name:           perl-Geo-StreetAddress-US
Version:        1.04
Release:        1%{?dist}
Summary:        Perl extension for parsing US street addresses
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://search.cpan.org/dist/Geo-StreetAddress-US/
Source0:        https://www.cpan.org/authors/id/T/TI/TIMB/Geo-StreetAddress-US-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl(Class::Data::Inheritable) >= 0.04
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(blib)
BuildRequires:  perl(Data::Dumper)
Requires:       perl(Class::Data::Inheritable) >= 0.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Geo::StreetAddress::US is a regex-based street address and street
intersection parser for the United States. Its basic goal is to be as
forgiving as possible when parsing user-provided address strings.
Geo::StreetAddress::US knows about directional prefixes and suffixes,
fractional building numbers, building units, grid-based addresses (such as
those used in parts of Utah), 5 and 9 digit ZIP codes, and all of the
official USPS abbreviations for street types, state names and secondary
unit designators.

%prep
%setup -q -n Geo-StreetAddress-US-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 02 2023 yaroslav@fedevych.name 1.04-1
- Specfile autogenerated by cpanspec 1.78.
